/* 
 *
 * Manage group 
 *
 */

/* Display links added in via views on group content pages 
 * via h4c_manage_group views block in line 
 */

.path-group .region-header .block-views-blockh4c-manage-group-block-admin-links, 
.path-group .region-header .block-group-operations {
  display: inline-block;
}

/* Make group operations dropdown overflow 
 */

.path-group .content-header {
  overflow: visible;
}

/* Evil hack to not display View group tab for auth users, we cannot 
 * remove the permission because then the links on profile page cannot 
 * be shown (group id not available), cp h4c_my_organisations view
 */

.path-group #block-h4c-gin-primary-local-tasks .tabs--primary li:first-child {
  display: none;
}

/* 
 *
 * Define grid
 *
 */

/* In gin, columns only have enough space on big screens so limit them to 1024+ */
/* The order in config should reflect the non-grid order, the grid order can be altered via css */
@media screen and (min-width: 1024px) {
  /* Gin hardcodes the layout-region-node-main class node-edit-form.html.twig so we cannot add our own class easily. To avoid having to add a field group for this we use the classes gin gives us */
  /* We need to limit it to the supported content types, drupal has different classes for add and edit forms */
  .node-organisation-form .layout-region-node-main,
  .node-organisation-edit-form .layout-region-node-main,
  .node-event-form .layout-region-node-main,
  .node-event-edit-form .layout-region-node-main,
  .node-event-quick-node-clone-form .layout-region-node-main,
  .node-article-form .layout-region-node-main,
  .node-article-edit-form .layout-region-node-main,
  .node-page-form .layout-region-node-main,
  .node-page-edit-form .layout-region-node-main,
  .h4c-subgrid /* e.g. used for location container */ {
    display: grid;
    grid-gap: 0 24px;
    grid-template-columns: repeat(3, minmax(0, 1fr)); 
    /* Not sure which is the best way to do equal columns `grid-auto-columns: minmax(120px, 1fr);` also does the job, see https://stackoverflow.com/a/61240964/4863151 */
  }
}

/* 
 *
 * H4C url branding
 *
 */

/* Styling for rendered front url in page--node.html.twig proper site branding */

.h4c-url {
  display: flex;
  color: var(--enzian--color-primary);
  font-size: 1.2rem;
  letter-spacing: -.05em;
  padding-top: 5px; /* fix bring it on the same line with page-title */
}

/* Overwrite some gin styles to make spacing look good */
@media screen and (min-width: 1730px) {
  .gin--edit-form .page-wrapper__node-edit-form .block-page-title-block {
    width: unset;
    margin: unset;
  }
}
@media screen and (min-width: 1024px) {
  .gin--edit-form .region-sticky__items .block-page-title-block {
    flex-grow: unset;
    padding-right: 20px;
  }
}

/* 
 *
 * Sumoselect style overrides
 *
 */

/* Use full width */
.SumoSelect {
  width: 100%;
}

/* Do not wrap list items (open) and selected items (closed)  */
.SumoSelect > .CaptionCont > span,
.SumoSelect > .optWrapper > .options li label {
  white-space: normal;
}

.SumoSelect p.CaptionCont {
  color: var(--colorGinText);
  border: 1px solid var(--colorGinFormElementBorder);
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-box-shadow: 0 1px 2px rgba(0,0,0,0.14);
  box-shadow: 0 1px 2px rgba(0,0,0,0.14);
  border-radius: 4px;
  padding: calc(0.75rem - 1px) calc(1rem - 1px);
}

.SumoSelect:focus > .CaptionCont, 
.SumoSelect:hover > .CaptionCont, 
.SumoSelect.open > .CaptionCont,
.SumoSelect.open .search-txt {
  padding: calc(0.75rem - 1px) calc(1rem - 1px);
}

.SumoSelect.open > .optWrapper {
  top: 47px;
}

/* 
 *
 * Various style overrides
 *
 */

/* Gin hotfix */
.path-node .page-wrapper__node-edit-form .node-form .form-wrapper label {
  text-transform: none;
}

/* Fields shall fill full width of columns */
.h4c-form .form-text,
.h4c-form .form-email,
.h4c-form .form-tel,
.h4c-form .form-url {
  width: 100%;
}

/* Show timepicker widget above gin sidebar (100) but below drupal moodal (503) */
#ui-timepicker-div {
  z-index: 502 !important; 
}

/* Hide text shadow which is moved to below max-length text */
.field--name-field-summary .form-textarea-wrapper {
  -webkit-box-shadow: none;
  box-shadow: none;
}

/* Remove duplicate word counter from max-length */
#undefined-counter {
  display: none;
}

/* Box style e.g. used in location elements wrapper */
@media only screen and (min-width: 768px) {
  .box {
    -webkit-box-shadow: 0px 3px 4px rgba(0,0,0,0.05);
    box-shadow: 0px 3px 4px rgba(0,0,0,0.05);
    border-radius: 4px;
    padding: 24px;
    background: var(--colorGinLayerBackground);
    border: 1px solid var(--colorGinBorder);
  }
  .box:not(:last-child) {
    margin-bottom: 1.5rem;
  }
}

/* Show office hours buttons in gin style */
.office-hours-slot a {
  border-radius: 2px 0 0 2px;
  border: 2px solid var(--colorGinPrimary);
  border-radius: 4px;
  line-height: .8rem;
  font-size: 0.79rem;
  padding-top: calc(0.375rem - 1px);
  padding-bottom: calc(0.375rem - 1px);
  padding-right: calc(1rem - 1px);
  padding-left: calc(1rem - 1px);
}

/* Unless the ajax throbber doesn't break the inlining on clicking one of the items, we could comment this out
.field--name-field-h4c-organisation-types .form-item {
  display: inline-block;
}*/

/* Fix for slick width bug when in layout builder regions */
.layout__region {
  max-width: 100%;
}

/* Tours: Remove ugly box shadow and highlight Tour button */
.button.joyride-next-tip {
  box-shadow: none;
}

.tour-toolbar-tab {
  background-color: var(--enzian--color-bg);
}

/* Style clientside_validation errors */
label.error {
  color: red;
  margin-top: 0.375rem;
  margin-bottom: 0.375rem;
  font-size: 0.79rem;
  font-weight: normal;
  line-height: 1.0625rem;
}

/* If sumoselect is used, a min width needs to be applied */
.SumoSelect {
  min-width: 200px;
}

/* Center tabs to be consistent with enzian node tabs */
.page-wrapper__node-edit-form .tabs {
  justify-content: center;
}

/* Layout builder: Show moderation status next to the action buttons */

.node-layout-builder-form .form-actions {
  float: left;
  margin-right: 20px;
}

.node-layout-builder-form .form-item--moderation-state-0-state {
  display: flex;  
}

/* Correct closing x in modals which is of-position, not sure why */
.ui-dialog .ui-icon.ui-icon-closethick {
  transform: unset !important;
}